SYSTEM WARNING: 'date_default_timezone_get(): It is not safe to rely on the system's timezone settings. You are *required* to use the date.timezone setting or the date_default_timezone_set() function. In case you used any of those methods and you are still getting this warning, you most likely misspelled the timezone identifier. We selected the timezone 'UTC' for now, but please set date.timezone to select your timezone.' in '/usr/share/mantis/www/core.php' line 264

0000598: zonefw, system access: up/down arrow at bottom/top is to much - MantisBT Endian Bugtracker
Endian Issue Tracker





Please see now our new Bugtracker system: JIRA








View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000598Endian FirewallGUIpublic2008-03-05 11:152008-04-23 17:41
Reporterpeter-endian 
Assigned Tolukas-endian 
PrioritynormalSeverityminorReproducibilityhave not tried
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version2.2-beta3 
Target Version2.2-beta4Fixed in Version2.2-beta4 
Summary0000598: zonefw, system access: up/down arrow at bottom/top is to much
Descriptionif the rule is on top, the up arrow should not be displayed.
same on bottom
TagsNo tags attached.
Attached Filespatch file icon hide_arrows.patch [^] (1,385 bytes) 2008-03-05 11:39 [Show Content]

- Relationships

-  Notes
(0000955)
peter-endian (administrator)
2008-03-05 11:42

attached is a patch which would fix this bug. BUT:

the style of zonefw and system access editors differs from the other editors outgoingfw, vpnfw, policy routing

now the rule lists of zonefw and system access look nicer than that of the others. but the action icons there are in 1 td, while on the other firewalls each icon has its own td.
therefore the other firewalls can hide the up/down buttons where they do not make sense. on osystem access and zone firewall hiding that buttons will destroy the layout.

- Issue History
Date Modified Username Field Change
2008-03-05 11:15 peter-endian New Issue
2008-03-05 11:15 peter-endian Status new => assigned
2008-03-05 11:15 peter-endian Assigned To => peter-endian
2008-03-05 11:16 peter-endian Target Version => 2.2-beta4
2008-03-05 11:39 peter-endian File Added: hide_arrows.patch
2008-03-05 11:42 peter-endian Note Added: 0000955
2008-03-05 11:43 peter-endian Assigned To peter-endian => lukas-endian
2008-04-18 08:44 ra-endian Status assigned => resolved
2008-04-18 08:44 ra-endian Fixed in Version => 2.2-beta4
2008-04-18 08:44 ra-endian Resolution open => fixed
2008-04-23 17:41 peter-endian Status resolved => closed

Copyright © 2005-2008 Endian, SRL. All rights reserved.


Copyright © 2000 - 2012 MantisBT Group
Powered by Mantis Bugtracker